cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;

    },

    // called every frame
    update: function (dt) {

    },

    loadSpine0: function () {
        let key = "spineboy/spineboy";
        cc.loader.loadRes(key, sp.SkeletonData, (err, data) => {
            if (err) {
                cc.error(err);
            }
            else {
                cc.log("加载完成Spine:" + key);
            }
        });
    },

    //释放骨骼资源
    releaseSpine0: function () {
        let key = "spineboy/spineboy";
        let deps = cc.loader.getDependsRecursively(key);
        cc.log("deps=" + deps);
        cc.loader.release(deps);
    },

    reLoadSpine0: function () {
        let key = "spineboy/spineboy";
        cc.loader.loadRes(key, sp.SkeletonData, (err, data) => {
            if (err) {
                cc.error(err);
            }
            else {
                cc.log("加载完成Spine:" + key);
                let node = new cc.Node();
                let spine = node.addComponent(sp.Skeleton);
                spine.skeletonData = data;
                this.node.addChild(node);
                node.setPosition(0, 0);
                spine.setAnimation(0, "run", true);
            }
        });
    },

    loadSpine1: function () {
        let key = "1001/chengnv";
        cc.loader.loadRes(key, sp.SkeletonData, (err, data) => {
            if (err) {
                cc.error(err);
            }
            else {
                cc.log("加载完成Spine:" + key);
            }
        });
    },

    //释放骨骼资源
    releaseSpine1: function () {
        let key = "1001/chengnv";
        let deps = cc.loader.getDependsRecursively(key);
        cc.log("deps=" + deps);
        cc.loader.release(deps);
    },

    reLoadSpine1: function () {
        let key = "1001/chengnv";
        cc.loader.loadRes(key, sp.SkeletonData, (err, data) => {
            if (err) {
                cc.error(err);
            }
            else {
                cc.log("加载完成Spine:" + key);
                let node = new cc.Node();
                let spine = node.addComponent(sp.Skeleton);
                spine.skeletonData = data;
                this.node.addChild(node);
                node.setPosition(200, 0);
                spine.setAnimation(0, "stand", true);
            }
        });
    },


});
